This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1301882 - The tooltip doesn't show value well when add env/label with long value on web console on Firefox/IE11/Edge25
The tooltip doesn't show value well when add env/label with long value on web...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jessica Forrester
yapei
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 04:43 EST by Yanping Zhang
Modified: 2016-12-09 16:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-09 16:50:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
firefox.png (153.03 KB, image/png)
2016-01-26 04:43 EST, Yanping Zhang
no flags Details
63 character length (100.90 KB, image/png)
2016-03-07 14:41 EST, Steve Goodwin
no flags Details
tooltip (84.57 KB, image/png)
2016-03-07 14:43 EST, Steve Goodwin
no flags Details
env.png (157.79 KB, image/png)
2016-03-07 21:50 EST, Yanping Zhang
no flags Details
label.png (136.66 KB, image/png)
2016-03-07 21:51 EST, Yanping Zhang
no flags Details

  None (edit)
Description Yanping Zhang 2016-01-26 04:43:01 EST
Description of problem:
Add env/lable with very long value during app creation, the tooltip for the long value doesn't show the value well in multiple lines, but show it in a long line on firefox 43 and show partial value on IE11 and Edge25 on win10.
The tooltip shows long value well on chrome49 and safari 9

Version-Release number of selected component (if applicable):
openshift v1.1.1-155-ga3dd1f0
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.2.2
Firefox 43
IE11
Edge25

How reproducible:
Always

Steps to Reproduce:
1.Login on web console from firefox43, IE11, Edge25 separately.
2.Add env/lable with very long value during app creation, after env/label added, hover to the value to show the tooltip.
3.

Actual results:
2.The tooltip shows value in a very long line on firefox 43 and show partial value on IE11 and Edge25 on win10.


Expected results:
2.Tooltip should show value well in multiple lines.

Additional info:
Comment 1 Yanping Zhang 2016-01-26 04:43 EST
Created attachment 1118405 [details]
firefox.png
Comment 2 Steve Goodwin 2016-03-07 14:40:50 EST
The name and value label fields now only allow a maximum of 63 characters. Thus this is no longer an issue. Please verify. thanks
Comment 3 Steve Goodwin 2016-03-07 14:41 EST
Created attachment 1133900 [details]
63 character length
Comment 4 Steve Goodwin 2016-03-07 14:43 EST
Created attachment 1133901 [details]
tooltip
Comment 5 Yanping Zhang 2016-03-07 21:48:05 EST
The issue still exists on Firefox 44 and IE11/Edge25 on win10, when add long environment variables, and when edit an added label value to a long value. Pls refer to attachment env.png and label.png
Comment 6 Yanping Zhang 2016-03-07 21:50 EST
Created attachment 1134016 [details]
env.png
Comment 7 Yanping Zhang 2016-03-07 21:51 EST
Created attachment 1134017 [details]
label.png
Comment 8 Steve Goodwin 2016-03-10 15:49:32 EST
Adding some info to this issue...
Firefox's default tooltip behavior doesn't wrap non-breaking strings of text. 
There is no way to do so through css only. 
The user can get the entire value by enabling editing on that value.
Screen readers can access the entire string.

In light of these factors we will hold off on making changes currently. And may, in the future, look at alternatives such as implementing a show all link for the full value.
Comment 9 Mike McCune 2016-03-28 18:46:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 10 Yanping Zhang 2016-09-02 06:03:46 EDT
openshift v1.3.0-alpha.3+0a9f79a
kubernetes v1.3.0+52492b4
etcd 2.3.0+git

Checked on origin again, now there is no tooltip shown up when the env value is very long, no matter on creation page or on dc/bc environment page. Is the tooltip feature changed ?
Comment 11 Jessica Forrester 2016-09-02 08:32:23 EDT
Yes the tooltip is no longer needed, in the new implementation of the environment variable editing/viewing you always have access to the full message in the input.  In the old version when in "view" mode on that form you had no way to see the full text.
Comment 12 Yanping Zhang 2016-09-05 02:33:53 EDT
According to comment 10 and 11, this is no longer an issue now, so move the bug to Verified.

Note You need to log in before you can comment on or make changes to this bug.